%global _empty_manifest_terminate_build 0
%global github_name pytoml
%global my_description \
This package aims at being a specs-conforming and\
strict parser and writer for TOML files.

Name:		python-pytoml
Version:	0.1.21
Release:	1
Summary:	Parser for TOML
License:	MIT
URL:		https://github.com/avakar/%{github_name}
Source0:	https://files.pythonhosted.org/packages/f4/ba/98ee2054a2d7b8bebd367d442e089489250b6dc2aee558b000e961467212/pytoml-%{version}.tar.gz
BuildArch:	noarch

%description
%{my_description}

%package -n python3-pytoml
Summary:	Parser for TOML
Provides:	python-pytoml = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pytoml
%{my_description}

%package help
Summary:	Development documents and examples for pytoml
Provides:	python3-pytoml-doc
%description help
%{my_description}

%prep
%autosetup -n pytoml-%{version}

%build
%py3_build

%install
%py3_install
install -d -m644 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pytoml -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*
%doc README.md
%license LICENSE

%changelog
* Mon Nov 28 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.1.21-1
- Update package to version 0.1.21

* Thu Oct 22 2020 wutao <wutao61@huawei.com> - 0.1.18-3
- delete python2 modules

* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.1.18-2
- Package init
